## elephant-shed 1.3.9.pgdg20.04+1

=== Makefile ===
# Default git branch to build in RPM
ifndef GITBRANCH
GITBRANCH=HEAD
endif

all: docs

doc docs:
	$(MAKE) -C doc html

deb:
	dpkg-buildpackage -us -uc $(BUILD_ARGS)
	lintian | tee -a lintian.log

upload_packages: deb
	aptly/upload_packages.sh

include_packages:
	aptly/include_packages.sh

publish_packages:
	aptly/publish_packages.sh

vagrant: deb
	cd vagrant && vagrant up --provision

ansible: deb
	cd vagrant && ./elephant-shed.yml $(ANSIBLE_ARGS)

deploy_openpower: vagrant/inventory.openpower
	cd vagrant && ./elephant-shed.yml $(ANSIBLE_ARGS) \
	  -i inventory.openpower \
	  -e "repo=http"

clean:
	$(MAKE) -C doc clean
	$(MAKE) -C grafana clean
	rm -rf rpm/SOURCES/ rpm/SPECS rpm/BUILD rpm/BUILDROOT rpm/RPMS rpm/SRPMS

# rpm

DPKG_VERSION=$(shell sed -ne '1s/.*(//; 1s/).*//p' debian/changelog)
PACKAGE_RELEASE=1
RPMDIR=$(CURDIR)/rpm
TARBALL=$(RPMDIR)/SOURCES/elephant-shed_$(DPKG_VERSION).tar

rpmbuild: $(TMATESOURCE) $(TARBALL).xz
	rpmbuild -D"%_topdir $(RPMDIR)" --define='package_version $(DPKG_VERSION)' --define='package_release $(PACKAGE_RELEASE)' -ba rpm/elephant-shed.spec

tarball $(TARBALL).xz:
	mkdir -p $(dir $(TARBALL))
	rm -f $(TARBALL).xz
	git archive --prefix=elephant-shed-$(DPKG_VERSION)/ $(GITBRANCH) > $(TARBALL)
	# include pre-built documentation in tarball
	tar --append --transform "s!^!elephant-shed-$(DPKG_VERSION)/!" -f $(TARBALL) doc/_build/html
	xz $(TARBALL)

# tmate rpm

TMATESOURCE=$(CURDIR)/rpm/SOURCES/$(shell rpmspec --srpm --query --queryformat '%{Source}' rpm/tmate.spec)

rpmbuild-tmate: $(TMATESOURCE)
	rpmbuild -D"%_topdir $(RPMDIR)" --define='package_version $(DPKG_VERSION)' -ba rpm/tmate.spec

$(TMATESOURCE):
	mkdir -p rpm/SOURCES
	spectool -S -g -C rpm/SOURCES rpm/tmate.spec

## elephant-shed 1.3.4.pgdg110%2B1

=== debian/changelog ===
elephant-shed (1.3.4.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Mar 2021 11:44:22 +0100

elephant-shed (1.3.4) unstable; urgency=medium

  * Move from pgadmin4 to OmniDB; pgadmin4 is no longer provided on
    apt.postgresql.org.
  * Grafana: Fix syntax in datasource provisioning yaml.
  * Grafana: Display only the currently selected database(s) in the Freeze Age
    panel.
  * ansible: restart prometheus-sql-exporter after postgres cluster creation.
  * ansible: skip sysctl, io scheduler an grub tasks in LXC containers.
  * sql-exporter: Add final newline to queries.yml.
  * Require tmate >= 2.4 since the hostkey syntax changed.

  [ Nicolas Dandrimont ]
  * Update pg_stat_statements SQL exporter query for Postgres 13

 -- Christoph Berg <myon@debian.org>  Mon, 01 Mar 2021 11:44:22 +0100

elephant-shed (1.3.3) unstable; urgency=medium

  * Added limits to monitoring-queries.
  * Fixed "Column 'usename' must be type text (string)".

 -- Christoph Berg <myon@debian.org>  Thu, 09 Jan 2020 14:23:31 +0100

elephant-shed (1.3.2) unstable; urgency=medium

  * Grafana: Fix "WAL Senders"-panel.
  * Build infrastructure updates.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Aug 2019 15:38:38 +0200

elephant-shed (1.3.1) unstable; urgency=medium

  * update-prometheus-sql-exporter-config: Support setting interval.
    Patch by Nicolas Dandrimont, thanks!
  * e-s-postgresql.postinst: Don't fail if logrotate file was removed.
  * When building for packages.credativ.com, add dependency on
    credativ-postgresql-keyring package.

 -- Christoph Berg <myon@debian.org>  Thu, 02 May 2019 16:00:09 +0200

elephant-shed (1.3) unstable; urgency=medium

  * Start prometheus-sql-exporter-restart.timer on package installation.
  * Node exporter 0.16 renames many variables, update dashboard.
  * elephant-shed-postgresql: Stop installing custom logrotate file.
  * postgresql: Don't set waldir and data checksums by default.
  * portal: Use AuthExternal pwauth instead of the buggy authnz-pam module.
  * portal: Use HTTP_HOST instead of SSL_TLS_SNI in cockpit's CSP header.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 07 Dec 2018 16:39:19 +0100

elephant-shed (1.2) unstable; urgency=medium

  * This release bundles a series of breaking changes:
    + Upgrade to grafana 5 and prometheus 2. (Existing monitoring data is not
      migrated.)
    + Upgrade to prometheus-node-exporter 0.15.
    + Rewrite update-prometheus-sql-exporter-config using PgCommon.pm, and
      refactor its config file handling.
  * prometheus: Use 'localhost' as job_name to bundle this machine's node and
    sql exporter results. 'sql_job' contains the postgresql-common cluster
    name now.
  * The grafana dashboard has been updated to use rate() instead of increase()
    in most panels to show values per second or minute.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 18 May 2018 17:06:21 +0200

elephant-shed (1.1.1) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * Split prometheus exporters into own packages.

  [ Alexander Sosna ]
  * Change docs build process to sphinx
  * grafana: Fix "Dead Tuples"
  * grafana: Fix "Locks"
  * grafana: Change limits for "Next Freeze"
  * grafana: Add tool tips

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 25 Jan 2018 17:00:25 +0100

elephant-shed (1.0) unstable; urgency=medium

  [ Christoph Berg ]
  * cockpit: Add cockpit-packagekit to Recommends.

  [ Adrian Vondendriesch ]
  * prometheus: Add sudo to dependencies.
  * portal: replace the way we show backups.
  * portal: rework UI, introduce bootstrap.

  [ Alexander Sosna ]
  * grafana: Fix for queries for Prometheus 2.0
  * portal: Use new Icons

  [ Caique de Castro ]
  * portal: Fix link to Grafana

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 16 Oct 2017 18:54:10 +0200

elephant-shed (0.9) unstable; urgency=medium

  * Team upload.
  * Initial release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 16 Oct 2017 17:38:41 +0200

=== debian/control ===
Source: elephant-shed
Section: database
Priority: optional
Maintainer: credativ GmbH <info@credativ.de>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Standards-Version: 4.1.1
Build-Depends:
 debhelper (>= 10~),
 python3-recommonmark,
 python3-sphinx-rtd-theme,
 python3-sphinx,
 sphinx-common,

Package: elephant-shed
Architecture: all
Depends:
 elephant-shed-cockpit,
 elephant-shed-grafana,
 elephant-shed-omnidb <!stretch>,
 elephant-shed-pgbackrest,
 elephant-shed-pgbadger,
 elephant-shed-portal,
 elephant-shed-postgresql,
 elephant-shed-prometheus,
 elephant-shed-prometheus-node-exporter,
 elephant-shed-prometheus-sql-exporter,
 elephant-shed-shellinabox,
 elephant-shed-tmate,
 ${keyring:Depends},
 ${misc:Depends},
Description: PostgreSQL dashboard
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This meta package depends on all Elephant Shed components.

Package: elephant-shed-portal
Architecture: all
Depends:
 adduser,
 apache2,
 libapache2-mod-authnz-external,
 libapache2-mod-authz-unixgroup,
 libapache2-mod-wsgi-py3 <!stretch>,
 libtemplate-perl,
 libcgi-pm-perl,
 pwauth,
 ${misc:Depends},
Description: PostgreSQL dashboard -- web interface
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the web interface.

Package: elephant-shed-postgresql
Architecture: all
Depends:
 adduser,
 postgresql-common (>> 183~),
 ${misc:Depends},
Description: PostgreSQL dashboard -- PostgreSQL integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with PostgreSQL.

Package: elephant-shed-omnidb
Architecture: all
Build-Profiles: <!stretch>
Depends:
 omnidb-server,
 ${misc:Depends},
Description: PostgreSQL dashboard -- OmniDB integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This meta package provides the integration with OmniDB.

Package: elephant-shed-pgbadger
Architecture: all
Depends:
 pgbadger (>> 9),
 postgresql-common,
 ${misc:Depends},
Description: PostgreSQL dashboard -- pgBadger integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with pgBadger.

Package: elephant-shed-pgbackrest
Architecture: all
Depends:
 pgbackrest,
 postgresql-common,
 ${misc:Depends},
Description: PostgreSQL dashboard -- pgBackRest integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with pgBackRest.

Package: elephant-shed-grafana
Architecture: all
Depends:
 curl,
 grafana (>> 5),
 ${misc:Depends},
Description: PostgreSQL dashboard -- Grafana integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with Grafana.

Package: elephant-shed-prometheus
Architecture: all
Depends:
 prometheus (>= 2.0),
 ${misc:Depends},
Description: PostgreSQL dashboard -- Prometheus integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with Prometheus.

Package: elephant-shed-prometheus-node-exporter
Architecture: all
Depends:
 prometheus-node-exporter (>= 0.16.0),
 ${misc:Depends},
Breaks: elephant-shed-prometheus (<< 1.1)
Replaces: elephant-shed-prometheus (<< 1.1)
Description: PostgreSQL dashboard -- Node exporter integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with the Prometheus node
 exporter.

Package: elephant-shed-prometheus-sql-exporter
Architecture: all
Depends:
 libyaml-perl,
 postgresql-common,
 prometheus-sql-exporter,
 ${misc:Depends},
Breaks: elephant-shed-prometheus (<< 1.1)
Replaces: elephant-shed-prometheus (<< 1.1)
Description: PostgreSQL dashboard -- SQL exporter integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with the Prometheus SQL
 exporter.

Package: elephant-shed-cockpit
Architecture: all
Depends:
 cockpit,
 ${misc:Depends},
Recommends:
 cockpit-packagekit,
Description: PostgreSQL dashboard -- cockpit integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with cockpit.

Package: elephant-shed-shellinabox
Architecture: all
Depends:
 shellinabox,
 ${misc:Depends},
Description: PostgreSQL dashboard -- shellinabox integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This meta package provides the integration with shellinabox.

Package: elephant-shed-tmate
Architecture: all
Depends:
 tmate (>= 2.4),
 ${misc:Depends},
Description: PostgreSQL dashboard -- tmate integration
 The Elephant Shed is a web-based PostgreSQL management front-end.
 .
 This package provides the integration with tmate.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=systemd

ifneq ($(filter stretch,$(DEB_BUILD_PROFILES)),)
override_dh_install:
	dh_install
	sed -i -e '/WSGI/d' debian/elephant-shed-portal/etc/apache2/sites-available/elephant-shed.conf
endif

override_dh_link:
	mkdir -p debian/elephant-shed-tmate/etc/skel
	ln -s /etc/tmate.conf debian/elephant-shed-tmate/etc/skel/.tmate.conf
	dh_link -X'tmate.conf' # don't fix /etc/skel link

override_dh_gencontrol:
	# when building for packages.credativ.com (from ci/rebuild.sh), add dependency on credativ-postgresql-keyring
	set -x; case $$(dpkg-parsechangelog -SVersion) in \
	  *deb*|*ubuntu*) dh_gencontrol -- -Vkeyring:Depends=credativ-postgresql-keyring ;; \
	  *) dh_gencontrol ;; \
	esac

## elephant-shed 1.3.5.pgdg110%2B1

=== debian/changelog ===
elephant-shed (1.3.5.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 29 Jul 2021 15:10:20 +0200

elephant-shed (1.3.5) unstable; urgency=medium

  * Generate dependency on tmate >= << 2.4 automatically.
  * debian/clean: Remove build artifacts.
  * Revert path activation for sql-exporter, doesn't work reliably.
  * Restart sql-exporter when postgresql.service is started.
  * Start omnidb-server once to initialize /var/lib/omnidb/.omnidb/.

 -- Christoph Berg <myon@debian.org>  Thu, 29 Jul 2021 15:10:20 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-sphinx-rtd-theme,
  python3-sphinx,
  sphinx-common,
+ tmate,
 
 Package: elephant-shed
 Architecture: all
@@ -170,7 +171,7 @@
 Package: elephant-shed-tmate
 Architecture: all
 Depends:
- tmate (>= 2.4),
+ tmate ${tmate:Depends},
  ${misc:Depends},
 Description: PostgreSQL dashboard -- tmate integration
  The Elephant Shed is a web-based PostgreSQL management front-end.

## elephant-shed 1.3.7.pgdg20.04+~20220630.2050.gc28ba08

=== debian/changelog ===
elephant-shed (1.3.7.pgdg20.04+~20220630.2050.gc28ba08) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

elephant-shed (1.3.7) unstable; urgency=medium

  * Finish PoWA integration.
  * Add es_ctlcluster script to enable PoWA in PG clusters.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Jun 2022 16:58:35 +0200

elephant-shed (1.3.6) unstable; urgency=medium

  [ Christoph Berg ]
  * Add PoWA integration.

  [ Michael Banck ]
  * node-exporter: Remove obsolete --collector.netdev.ignored-devices option.
  * Fix pg_stat_statements sql-exporter query.

 -- Christoph Berg <myon@debian.org>  Tue, 31 May 2022 12:29:23 +0200

## elephant-shed 1.3.7.pgdg20.04+1

=== debian/changelog ===
elephant-shed (1.3.7.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg21.10+~20220630.2050.gc28ba08

=== debian/changelog ===
elephant-shed (1.3.7.pgdg21.10+~20220630.2050.gc28ba08) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg21.10+1

=== debian/changelog ===
elephant-shed (1.3.7.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg22.04+~20220630.2050.gc28ba08

=== debian/changelog ===
elephant-shed (1.3.7.pgdg22.04+~20220630.2050.gc28ba08) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  elephant-shed-pgbadger,
  elephant-shed-portal,
  elephant-shed-postgresql,
+ elephant-shed-powa,
  elephant-shed-prometheus,
  elephant-shed-prometheus-node-exporter,
  elephant-shed-prometheus-sql-exporter,
@@ -108,6 +109,17 @@
  .
  This package provides the integration with Grafana.
 
+Package: elephant-shed-powa
+Architecture: all
+Depends:
+ powa-web,
+ postgresql-common,
+ ${misc:Depends},
+Description: PostgreSQL dashboard -- PoWA integration
+ The Elephant Shed is a web-based PostgreSQL management front-end.
+ .
+ This package provides the integration with PoWA.
+
 Package: elephant-shed-prometheus
 Architecture: all
 Depends:

## elephant-shed 1.3.7.pgdg22.04+1

=== debian/changelog ===
elephant-shed (1.3.7.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg100+~20220630.2050.gc28ba08

=== debian/changelog ===
elephant-shed (1.3.7.pgdg100+~20220630.2050.gc28ba08) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg100+1

=== debian/changelog ===
elephant-shed (1.3.7.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg110+~20220630.2050.gc28ba08

=== debian/changelog ===
elephant-shed (1.3.7.pgdg110+~20220630.2050.gc28ba08) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg110+1

=== debian/changelog ===
elephant-shed (1.3.7.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg120+~20220630.2050.gc28ba08

=== debian/changelog ===
elephant-shed (1.3.7.pgdg120+~20220630.2050.gc28ba08) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg120+1

=== debian/changelog ===
elephant-shed (1.3.7.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.7.pgdg+1

=== debian/changelog ===
elephant-shed (1.3.7.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 30 Jun 2022 16:58:35 +0200

## elephant-shed 1.3.8.pgdg+2

=== debian/changelog ===
elephant-shed (1.3.8.pgdg+2) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 28 Feb 2024 09:41:48 +0100

elephant-shed (1.3.8) unstable; urgency=medium

  * Fix sql-exporter queries on Debian 12 / Ubuntu 22.04.
  * Fix elephant-shed-cockpit postinst.
  * Add enable-backup and enable-powa-addons features to es_ctlcluster.
  * Replaced shellinabox with Cockpit's terminal.
  * Remove vendorized javascript libraries from portal.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 28 Feb 2024 09:41:48 +0100

## elephant-shed 1.3.9.pgdg20.04+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

elephant-shed (1.3.9) unstable; urgency=medium

  [ Michael Banck ]
  * Overhaul Grafana dashboard.
  * Add work-around to sql-exporter instant queries no longer being supported
    upstream.

  [ Nicolas Dandrimont ]
  * Make sql-exporter only generate instant job if there are instant queries.

 -- Michael Banck <mchael.banck@credativ.de>  Mon, 18 Nov 2024 17:06:10 +0100

=== debian/rules ===
#!/usr/bin/make -f

TMATE_VERSION = $(shell dpkg-query --showformat '$${Version}' --show tmate)
TMATE_24 = $(shell dpkg --compare-versions $(TMATE_VERSION) ge 2.4 && echo yes)
ifeq ($(TMATE_24),yes)
	TMATE_DEPENDS = (>= 2.4)
else
	TMATE_DEPENDS = (<< 2.4)
endif

# when building for packages.credativ.com (from ci/rebuild.sh), add dependency on credativ-postgresql-keyring
ifneq ($(findstring deb, $(shell dpkg-parsechangelog -SVersion))$(findstring ubuntu, $(shell dpkg-parsechangelog -SVersion)),)
	CREDATIV_KEYRING=-Vkeyring:Depends=credativ-postgresql-keyring
endif

%:
	dh $@ --with=systemd

override_dh_install:
	dh_install
ifneq ($(TMATE_24),yes)
	sed -i -e 's/^\(set.*fingerprint.*\)/##\1/' debian/elephant-shed-tmate/etc/tmate.conf
	sed -i -e 's/^#\(set.*fingerprint.*\)/\1/' debian/elephant-shed-tmate/etc/tmate.conf
endif
ifneq ($(filter stretch,$(DEB_BUILD_PROFILES)),)
	sed -i -e '/WSGI/d' debian/elephant-shed-portal/etc/apache2/sites-available/elephant-shed.conf
endif

override_dh_link:
	mkdir -p debian/elephant-shed-tmate/etc/skel
	ln -s /etc/tmate.conf debian/elephant-shed-tmate/etc/skel/.tmate.conf
	dh_link -X'tmate.conf' # don't fix /etc/skel link

override_dh_gencontrol:
	dh_gencontrol -- -Vtmate:Depends='$(TMATE_DEPENDS)' $(CREDATIV_KEYRING)

## elephant-shed 1.3.9.pgdg22.04+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

## elephant-shed 1.3.9.pgdg24.04+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: credativ GmbH <info@credativ.de>
 Uploaders:
- Christoph Berg <myon@debian.org>,
+ Michael Banck <michael.banck@credativ.de>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Standards-Version: 4.1.1
 Build-Depends:
@@ -28,7 +28,6 @@
  elephant-shed-prometheus,
  elephant-shed-prometheus-node-exporter,
  elephant-shed-prometheus-sql-exporter,
- elephant-shed-shellinabox,
  elephant-shed-tmate,
  ${keyring:Depends},
  ${misc:Depends},
@@ -45,6 +44,9 @@
  libapache2-mod-authnz-external,
  libapache2-mod-authz-unixgroup,
  libapache2-mod-wsgi-py3 <!stretch>,
+ libjs-jquery,
+ libjs-bootstrap,
+ libjs-popper.js,
  libtemplate-perl,
  libcgi-pm-perl,
  pwauth,

## elephant-shed 1.3.9.pgdg24.10+1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/elephant-shed.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/elephant-shed.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/elephant-shed"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/elephant-shed"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
elephant-shed (1.3.9.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

## elephant-shed 1.3.9.pgdg25.04+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

## elephant-shed 1.3.9.pgdg110+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

## elephant-shed 1.3.9.pgdg120+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

## elephant-shed 1.3.9.pgdg130+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg130+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

## elephant-shed 1.3.9.pgdg+1

=== debian/changelog ===
elephant-shed (1.3.9.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Nov 2024 17:06:10 +0100

## elephant-shed 1.3.10.pgdg130%2B1

=== debian/changelog ===
elephant-shed (1.3.10.pgdg130+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 25 Jun 2025 08:49:24 +0200

elephant-shed (1.3.10) unstable; urgency=medium

  * Grafana: small improvements to dashboard.
  * ansible: bump default Postgres version to 16.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 25 Jun 2025 08:49:24 +0200

## elephant-shed 1.3.11.pgdg11+1

=== debian/changelog ===
elephant-shed (1.3.11.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Oct 2025 09:57:42 +0100

elephant-shed (1.3.11) unstable; urgency=medium

  * node-exporter: listen on all interfaces.
  * prometheus: make configuration extendable.
  * {node,sql}-exporter: add host-specific scrape-targets.
  * Dashboard: enable multi-host monitoring, overhaul system panels and ship
    separate node overview dashboard.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 29 Oct 2025 09:57:42 +0100

## elephant-shed 1.3.11.pgdg12+1

=== debian/changelog ===
elephant-shed (1.3.11.pgdg12+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Oct 2025 09:57:42 +0100

## elephant-shed 1.3.11.pgdg22.04+1

=== debian/changelog ===
elephant-shed (1.3.11.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Oct 2025 09:57:42 +0100

## elephant-shed 1.3.11.pgdg24.04+1

=== debian/changelog ===
elephant-shed (1.3.11.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Oct 2025 09:57:42 +0100
